Name:		netgo
Version:	0.5
Release:	10%{?dist}
License:	GPLv2+
Group:		Applications/System
Summary:	Networking profile manager
URL:		http://netgo.hjolug.org/
Source0:	http://netgo.hjolug.org/files/v0.5/netgo-%{version}.tar.gz
Source1:	netgo.console_apps
Source2:	netgo.pamd
Source3:	netgo.desktop
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	qt3-devel, desktop-file-utils
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils
Requires:	usermode


%description
netGo is a distribution-independent networking tool (written in Qt) for 
changing network settings quickly and easily. It is intended for laptop 
owners, who often need to change network settings when relocating.
It allows you to create profiles that contain the network settings such as the 
IP, netmask, gateway, name servers and wireless options. After creating a 
profile it can be executed with a single click.

%prep
%setup -q

%build
unset QTDIR ; . /etc/profile.d/qt.sh
%configure
sed -i -e /strip/d Makefile
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
unset QTDIR ; . /etc/profile.d/qt.sh
make INSTALL_ROOT=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/security/console.apps
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/pam.d
cp -a $RPM_BUILD_ROOT%{_datadir}/netgo/icons/globe_32x32.png $RPM_BUILD_ROOT%{_datadir}/pixmaps/netgo.png
install -m0644 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/security/console.apps/netgo
install -m0644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/pam.d/netgo

# We're going to use consolehelper, since this is a GUI app.
rm -rf $RPM_BUILD_ROOT%{_bindir}/netgo
cd $RPM_BUILD_ROOT%{_bindir}/
ln -s consolehelper netgo

mkdir -p $RPM_BUILD_ROOT%{_sbindir}
mv $RPM_BUILD_ROOT%{_datadir}/netgo/netgo-bin $RPM_BUILD_ROOT%{_sbindir}/netgo

desktop-file-install --vendor fedora                            \
        --dir $RPM_BUILD_ROOT%{_datadir}/applications           \
        %{SOURCE3}

%post
update-desktop-database %{_datadir}/applications &> /dev/null

%postun
if [ "$1" = "0" ]; then
  update-desktop-database %{_datadir}/applications &> /dev/null
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc COPYING README
%{_bindir}/netgo
%config(noreplace) %{_sysconfdir}/pam.d/netgo
%config(noreplace) %{_sysconfdir}/security/console.apps/netgo
%{_datadir}/applications/fedora-netgo.desktop
%{_datadir}/pixmaps/netgo.png
%{_datadir}/netgo/
%{_sbindir}/netgo

%changelog
* Fri Apr  4 2008 Tom "spot" Callaway <tcallawa@redhat.com> 0.5-10
- fix FTBFS bug (bz 440738) due to qt changeup

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.5-9
- Autorebuild for GCC 4.3

* Fri Aug 24 2007 Tom "spot" Callaway <tcallawa@redhat.com> 0.5-8
- fix license tag, rebuild for BuildID

* Fri May 25 2007 Tom "spot" Callaway <tcallawa@redhat.com> 0.5-7
- fix pam config to not use pam_stack

* Thu Sep 14 2006 Tom "spot" Callaway <tcallawa@redhat.com> 0.5-6
- bump for FC-6

* Thu Apr  6 2006 Tom "spot" Callaway <tcallawa@redhat.com> 0.5-5
- resolve bz 186646, don't fail build, don't strip binaries

* Tue Feb 28 2006 Tom "spot" Callaway <tcallawa@redhat.com> 0.5-4
- bump for FC-5

* Sat Sep 17 2005 Christian Iseli <Christian.Iseli@licr.org> 0.5-3
- fix unowned dir

* Fri Sep 16 2005 Tom "spot" Callaway <tcallawa@redhat.com> 0.5-2
- move netgo-bin to %%{_sbindir}/netgo

* Sun Sep  4 2005 Tom "spot" Callaway <tcallawa@redhat.com> 0.5-1
- initial package for Fedora Extras
